[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Expand

Increases the capacity of the list if needed.

## Declaration

Source position: classesh.inc line 247

`public function TFPList.Expand: TFPList;`

## Description

Expand increases the capacity of the list if the current element count matches the current list capacity.

The capacity is increased according to the following algorithm:

1. If the capacity is less than 3, the capacity is increased with 4.
2. If the capacity is larger than 3 and less than 8, the capacity is increased with 8.
3. If the capacity is larger than 8, the capacity is increased with 16.

The return value is Self.

## See also

Capacity |  | Current capacity (i.e. number of pointers that can be stored) of the list.